Package javax.mail.search

## Class IntegerComparisonTerm

- java.lang.Object
- - javax.mail.search.SearchTerm
  - - javax.mail.search.ComparisonTerm
    - - javax.mail.search.IntegerComparisonTerm

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `MessageNumberTerm`, `SizeTerm`

    public abstract class IntegerComparisonTerm
    extends ComparisonTerm

This class implements comparisons for integers.

Author:
  Bill Shannon, John Mani
See Also:
  Serialized Form

### Field Summary

Fields
`protected int` `number` The number.

### Fields inherited from class javax.mail.search.ComparisonTerm

`comparison, EQ, GE, GT, LE, LT, NE`

### Constructor Summary

Constructors
`protected` `IntegerComparisonTerm​(int comparison, int number)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)` Equality comparison.
`int` `getComparison​()` Return the type of comparison.
`int` `getNumber​()` Return the number to compare with.
`int` `hashCode​()` Compute a hashCode for this object.
`protected boolean` `match​(int i)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from class javax.mail.search.SearchTerm

`match`

### Field Detail

#### number

    protected int number

The number.

### Constructor Detail

#### IntegerComparisonTerm

    protected IntegerComparisonTerm​(int comparison,
                                    int number)

### Method Detail

#### getNumber

    public int getNumber​()

Return the number to compare with.

Returns:
  the number

#### getComparison

    public int getComparison​()

Return the type of comparison.

Returns:
  the comparison type

#### match

    protected boolean match​(int i)

#### equals

    public boolean equals​(Object obj)

Equality comparison.

Overrides:
  `equals` in class `ComparisonTerm`

#### hashCode

    public int hashCode​()

Compute a hashCode for this object.

Overrides:
  `hashCode` in class `ComparisonTerm`